Bug 172538 - Default touchpad configuration causes confusion while using Firefox
Default touchpad configuration causes confusion while using Firefox
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rhpl (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-06 11:33 EST by Joe Desbonnet
Modified: 2008-03-09 16:32 EDT (History)
0 users

See Also:
Fixed In Version: Fedora 7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 16:32:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Desbonnet 2005-11-06 11:33:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc3 Firefox/1.0.7

Description of problem:
The default configuration of laptop touchpads can cause a lot of confusion.

By default an invisible strip at the bottom and left of the pad is reserved for button 4,5,6 and 7 events. Unless a user is aware of how this works (that would be most users I think) the side effect is random go-back and go-forward events being generated while a user browses the web in Firefox.

Suggest that only finger movement and button1-by-tap events enabled by default for touchpad. User can then use config utility to enable advanced behaviour. Or disable Firefox go-back/go-forward on button 6,7 by default.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Get a 'normal' user to browse the web with Firefox on laptop with touchpad
2. Watch as they wonder why the browser intermittently goes back a page when they attempt to move the pointer with their finger
3.
  

Additional info:
Comment 1 Mike A. Harris 2005-11-06 14:23:04 EST
The xorg-x11 package is not responsible for configuration of anything.

system-config-* configure X.
Comment 2 Christian Iseli 2007-01-22 06:45:50 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Red Hat Bugzilla 2007-08-21 01:21:03 EDT
User pnasrat@redhat.com's account has been closed
Comment 4 Joe Desbonnet 2007-08-21 06:19:55 EDT
This problem does not appear to be present in Fedora 7. I've tested with the
same hardware as was used to file the original report. You can close this one.

Note You need to log in before you can comment on or make changes to this bug.